package speech;

import java.util.ArrayList;
import java.util.List;
import com.sun.speech.freetts.Voice;
import com.sun.speech.freetts.VoiceManager;

public class Voices {
	public static VoiceManager getVoiceManager() {
		System.setProperty("mbrola.base", "C:\\mbr301d");
		// VoiceManager uses the singleton approach to creating and 
		// providing an instance
		return VoiceManager.getInstance();
	}
	
	public static Voice[] getVoices() {
		VoiceManager vm;
		vm = getVoiceManager();
		// Get all the voices which the VoiceManager knows about
		return vm.getVoices();
	}
	
	public static Voice getVoice(String strVoice) {
		VoiceManager vm;
		vm = getVoiceManager();
		return vm.getVoice(strVoice);
	}
	
	public static List<String> getVoiceNames() {
		Voice[] voices = getVoices();
		ArrayList<String> strVoices = new ArrayList<>();
		for( Voice voice:voices ) {
			strVoices.add(voice.getName());
		}
		return strVoices;
	}

}
