package speech;

import com.sun.speech.freetts.Voice;
import javafx.scene.control.TextArea;

public class VoiceInfo {

	public static void showVoiceData(Voice voice) {
    	System.out.println("showVoiceSettings");

		System.out.println("Name: " + voice.getName());
		System.out.println("age: " + voice.getAge());
		System.out.println("description: " + voice.getDescription());
		System.out.println("domain: " + voice.getDomain());
		System.out.println("duration stretch: " + voice.getDurationStretch());
		System.out.println("gender: " + voice.getGender().toString());
		System.out.println("organisation: " + voice.getOrganization());
		System.out.println("pitch: " + voice.getPitch());
		System.out.println("pitch range: " + voice.getPitchRange());
		System.out.println("pitch shift: " + voice.getPitchShift());
		System.out.println("Audio Player: " + voice.getAudioPlayer());
		System.out.println("Lexicon: " + voice.getLexicon().toString());
		System.out.println("Rate: " + voice.getRate());
		System.out.println("Style: " + voice.getStyle());
		System.out.println("Volume: " + voice.getVolume());
	}
	
	public static void showVoiceData(Voice voice, TextArea target) {
		target.clear();
		target.appendText("Name: " + voice.getName() + "\n");
		target.appendText("Description: " + voice.getDescription() + "\n");
		target.appendText("Age: " + voice.getAge() + "\n");
		target.appendText("Gender: " + voice.getGender().toString() + "\n");
		target.appendText("Pitch: " + voice.getPitch() + "\n");
		target.appendText("Pitch range: " + voice.getPitchRange() + "\n");
		target.appendText("Pitch shift: " + voice.getPitchShift() + "\n");
		target.appendText("Rate: " + voice.getRate() + "\n");
		target.appendText("Duration stretch: " + voice.getDurationStretch() + "\n");
	}

}
